#
# spec file for package python-padatious
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-padatious
Version:        0.4.0
Release:        lp150.1.1
License:        Apache-2.0
Summary:        A neural network intent parser
Url:            http://github.com/MycroftAI/padatious
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/padatious/padatious-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/MycroftAI/padatious/dev/LICENSE
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
Requires:       python-fann2
Requires:       python-xxhash
BuildArch:      noarch

%python_subpackages

%description
A neural network intent parser used by the Mycroft AI

%prep
%setup -q -n padatious-%{version}
cp %{SOURCE99} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Mar  4 2018 alarrosa@suse.com
- Update to python-padatious 0.4.0
  * Add support for removing intents and entities
- Update to python-padatious 0.3.8
  * Add sentence length to vectorization
- Fix LICENSE url
* Fri Nov 10 2017 alarrosa@suse.com
- Initial version of python-padatious 0.3.7
